# PSF-LoginServer - master - net.psforever.objects.equipment.Ammo
PSF - LoginServer - master - net.psforever.objects.equipment.Ammo
Keywords: PSF LoginServer master net.psforever.objects.equipment.Ammo

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package equipment
  Definition Classes
    objects
- Ammo
- CItem
- ChargeFireModeDefinition
- EffectTarget
- Equipment
- EquipmentSize
- EquipmentSlot
- FireModeDefinition
- FireModeSwitch
- InfiniteFireModeDefinition
- JammableBehavior
- JammableMountedWeapons
- JammableUnit
- JammingUnit
- Kits
- PelletFireModeDefinition
- RemoteUnit
- SItem
- TargetValidation

o

net.psforever.objects.equipment

# Ammo

###

#### object Ammo extends Enumeration

An `Enumeration` of all the ammunition types in the game, paired with their object id as the `Value`.

Source
  Ammo.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Ammo
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
2.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
5.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
6.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final val ancient_ammo_combo: Value
9.  final val ancient_ammo_vehicle: Value
10.  final val anniversary_ammo: Value
11.  final val aphelion_immolation_cannon_ammo: Value
12.  final val aphelion_laser_ammo: Value
13.  final val aphelion_plasma_rocket_ammo: Value
14.  final val aphelion_ppa_ammo: Value
15.  final val aphelion_starfire_ammo: Value
16.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
17.  final val armor_canister: Value
18.  final val armor_siphon_ammo: Value
19.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
20.  final val bolt: Value
21.  final val bullet_105mm: Value
22.  final val bullet_12mm: Value
23.  final val bullet_150mm: Value
24.  final val bullet_15mm: Value
25.  final val bullet_20mm: Value
26.  final val bullet_25mm: Value
27.  final val bullet_35mm: Value
28.  final val bullet_75mm: Value
29.  final val bullet_9mm: Value
30.  final val bullet_9mm_AP: Value
31.  final val burster_ammo: Value
32.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
33.  final val colossus_100mm_cannon_ammo: Value
34.  final val colossus_burster_ammo: Value
35.  final val colossus_chaingun_ammo: Value
36.  final val colossus_cluster_bomb_ammo: Value
37.  final val colossus_tank_cannon_ammo: Value
38.  final val comet_ammo: Value
39.  final val dualcycler_ammo: Value
40.  final val energy_cell: Value
41.  final val energy_gun_ammo: Value
42.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
43.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
44.  final val falcon_ammo: Value
45.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
46.  final val firebird_missile: Value
47.  final val flamethrower_ammo: Value
48.  final val flux_cannon_thresher_battery: Value
49.  final val fluxpod_ammo: Value
50.  final val frag_cartridge: Value
51.  final val frag_grenade_ammo: Value
52.  final val gauss_cannon_ammo: Value
53.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
54.  final val grenade: Value
55.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
56.  final val health_canister: Value
57.  final val heavy_grenade_mortar: Value
58.  final val heavy_rail_beam_battery: Value
59.  final val hellfire_ammo: Value
60.  final val hunter_seeker_missile: Value
61.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
62.  final val jammer_cartridge: Value
63.  final val jammer_grenade_ammo: Value
64.  final val lancer_cartridge: Value
65.  final val liberator_bomb: Value
66.  final val maelstrom_ammo: Value
67.  final def maxId: Int
    Definition Classes
      Enumeration
68.  final val melee_ammo: Value
69.  final val mine: Value
70.  final val mine_sweeper_ammo: Value
71.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
72.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
73.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
74.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
75.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
76.  final val ntu_siphon_ammo: Value
77.  final val oicw_ammo: Value
78.  final val pellet_gun_ammo: Value
79.  final val peregrine_dual_machine_gun_ammo: Value
80.  final val peregrine_mechhammer_ammo: Value
81.  final val peregrine_particle_cannon_ammo: Value
82.  final val peregrine_rocket_pod_ammo: Value
83.  final val peregrine_sparrow_ammo: Value
84.  final val phalanx_ammo: Value
85.  final val phoenix_missile: Value
86.  final val plasma_cartridge: Value
87.  final val plasma_grenade_ammo: Value
88.  final val pounder_ammo: Value
89.  final val pulse_battery: Value
90.  final val quasar_ammo: Value
91.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
92.  final val reaver_rocket: Value
93.  final val rocket: Value
94.  final val scattercannon_ammo: Value
95.  final val shotgun_shell: Value
96.  final val shotgun_shell_AP: Value
97.  final val six_shooter_ammo: Value
98.  final val skyguard_flak_cannon_ammo: Value
99.  final val sparrow_ammo: Value
100.  final val spitfire_aa_ammo: Value
101.  final val spitfire_ammo: Value
102.  final val starfire_ammo: Value
103.  final val striker_missile_ammo: Value
104.  final def synchronized[T0](arg0: => T0): T0
     Definition Classes
       AnyRef
105.  def toString(): String
     Definition Classes
       Enumeration → AnyRef → Any
106.  final val trek_ammo: Value
107.  final val upgrade_canister: Value
108.  def values: ValueSet
     Definition Classes
       Enumeration
109.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
110.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
111.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException]) @native()
112.  final val wasp_gun_ammo: Value
113.  final val wasp_rocket_ammo: Value
114.  final val winchester_ammo: Value
115.  final def withName(s: String): Value
     Definition Classes
       Enumeration
116.  implicit object ValueOrdering extends Ordering[Value]
     Definition Classes
       Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped